SQL-инъекция и межсайтовый скриптинг в Joomla!

Дата публикации:
25.11.2005
Всего просмотров:
3517
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2005-3771
CVE-2005-3772
CVE-2005-3773
CVE-2005-4650
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Joomla! 1.x
Уязвимые версии: Joomla! версии до 1.0.4

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Межсайтовый скриптинг возможен из-за недостаточной обработки входынх данных в некоторых переменных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный HTML код в браузере жертвы в контексте безопасности уязвимого сайта.

2. Недостаточно фильтруются данные в параметре "Itemid" в модуле "mod_poll" и в других методах в классе "mosDBTable". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: www.joomla.org

Решение: Установите последнюю версию (1.0.4) с сайта производителя.

Источник:

Ссылки: Joomla! SQL Injection and Cross-Site Scripting Vulnerabilities

или введите имя

CAPTCHA